function love.load()
    image = love.graphics.newImage("meteorite-cathedral-seamless-background.jpg")
    
    position = 0
end

function love.draw()
    love.graphics.draw(image, 0, position)
    love.graphics.draw(image, 0, position - image:getHeight())
end


function love.update(dt)
    local speed = 100
    
    -- short version
    position = (position + speed*dt) % image:getHeight()
    
    -- long version
    --[[
    position = position + speed*dt
    if position >= image:getHeight() then
        position = position - 240
    end
    ]]--
end

function love.keypressed(key)
    if key == "escape" then
        love.event.quit()
    end
end
